%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name DB_QueryTool

Name:           php-pear-DB-QueryTool
Version:        1.1.2
Release:        1%{?dist}
Summary:        An OO-interface for easily retrieving and modifying data in a DB

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/DB_QueryTool
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) php-pear(DB) php-pear(Log)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This package is an OO-abstraction to the SQL-Query language, it provides
methods such as setWhere, setOrder, setGroup, setJoin, etc. to easily
build queries.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/docs/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/DB/QueryTool*


%changelog
* Thu Feb  7 2008 Christopher Stone <chris.stone@gmail.com> 1.1.2-1
- Upstream sync

* Sat Jan 27 2007 Christopher Stone <chris.stone@gmail.com> 1.1.0-1
- Upstream sync

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 1.0.3-1
- Initial release
